/// <reference types="jquery" />
import { AfterViewInit, AfterViewChecked, OnChanges, SimpleChange } from '@angular/core';
import '../../../../libraries/jSignature/jSignature.min';
import { services } from 'typescript-angular-utilities';
import __object = services.object;
import __array = services.array;
import __guid = services.guid;
import { ValidatedInputComponent, IInputChanges } from '../validationInput';
import { ComponentValidator } from '../../../services/componentValidator/componentValidator.service';
import { FormComponent } from '../../form/form';
import { JQueryProvider } from '../../../services/jquery/jquery.provider';
export interface ISignatureChanges extends IInputChanges {
    disabled: SimpleChange;
    value: SimpleChange;
}
export declare class SignatureComponent extends ValidatedInputComponent<string> implements AfterViewInit, AfterViewChecked, OnChanges {
    private _canvas;
    canvas: JQuery;
    readonly image: string;
    rendering: boolean;
    jquery: JQueryStatic;
    lastInternalChange: string;
    constructor(rlForm: FormComponent, componentValidator: ComponentValidator, object: __object.ObjectUtility, array: __array.ArrayUtility, guid: __guid.GuidService, jquery: JQueryProvider);
    ngAfterViewInit(): void;
    ngOnChanges(changes: ISignatureChanges): void;
    ngAfterViewChecked(): void;
    onChange(): void;
    reset(): void;
    getEmptyImage(): string;
    private setDisabled(disabled);
}
